
Figure - Bug #115171
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT2】【游戏模式】游戏模式GPU设置中设置了分辨率后，需要冷启动游戏才能生效
2023-01-09 13:50 - CD Test赵飞

Status: CLOSED Start date: 2023-01-09

Priority: Normal Due date: 2023-02-10

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-03

Test Type: ST Root cause: 根本原因��1、分辨率参数的修改，需要应用是冷启动的状态才能生效；��2、在游戏已经启动的情况下，修改分辨率的参数，再切到游戏界面，��游戏当前的状态并未进行冷启动，所以修改并不会生效。��修改策略：��1、在需要修改分辨率相关参数时，弹框让用户确认；��2、在修改了参数后，在服务中添加游戏task过滤的逻辑

Description

【前提条件】

1、设备已开机

2、游戏已安装

【测试步骤】

1、打开游戏并运行

2、返回至桌面，游戏后台运行

3、进入设置 - 游戏模式设置 - GPU设置 -自定义模式

4、分辨率选择720p（低分辨率）

5、进入多任务管理页面，选择游戏，重新进入游戏页面查看

【预期结果】

5、游戏页面分辨率降低为720p

【实际结果】

5、游戏页面分辨率没有被降低

【备注】

设置后需要把后台游戏清理掉，再重新打开游戏时分辨率才会被降低

History

#1 - 2023-01-11 17:56 - CD FW 曹覃刚

- Due date set to 2023-02-10

当前重点在处理帧率的功能，且这个分辨率实时生效适配需要时间，暂定年后02/10

#2 - 2023-01-13 10:30 - CD FW王武军

■ 当前状态

明确了问题的现象和复现方式。

■ 分析情况
该问题的发生是因为分辨率修改的实现技术导致的，因为修改的方式是设置应用对应的窗口相关的参数值，该值生效的时机就是

在应用冷启动时。

■ 计划策略

该问题的处理策略是需要添加必要的后台处理策略，如在游戏模式设置了分辨率调整时，将当前运行的应用进行后台杀除，

确保用户在重新回到应用或者启动应用时，是一个新的冷启动过程。

#3 - 2023-01-17 18:32 - CD FW王武军

- Status changed from New to ASSIGNED

- % Done changed from 0 to 10

#4 - 2023-02-02 09:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178490 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: Fix adjust resolution not workAdd the confirm dialog when game mode changeto fit the logic of adjust resolution.TC-RID: 1201-0204803IssueID:

TS-R-BUG-115171Change-Id: I35f912bc79135e4ff5aa25465395fd98206686bb

#5 - 2023-02-02 09:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178489 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: Fix adjust resolution not workAdd the confirm dialog when game mode changeand gpu mode and type changed to fit thelogic of adjust

resolution.TC-RID: 1201-0204803IssueID: TS-R-BUG-115171Change-Id: I8d17a97e303e8b8317b4e8748733fa0787b70a2c

#6 - 2023-02-02 09:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178138 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com
AF:GameMode: Fix adjust resolution not workThe adjust resolution need app to cold start,add logic to remove the game task when gup typeor game mode state

changed,keep game app coldstart.TC-RID: 1201-0204803IssueID: TS-R-BUG-115171Change-Id: I0cf497db8db0c53ccb6501e4645eff6a00642572

#7 - 2023-02-02 09:47 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 10 to 100

- Root cause set to 根本原因

1、分辨率参数的修改，需要应用是冷启动的状态才能生效；

2、在游戏已经启动的情况下，修改分辨率的参数，再切到游戏界面，

游戏当前的状态并未进行冷启动，所以修改并不会生效。

修改策略：

1、在需要修改分辨率相关参数时，弹框让用户确认；

2、在修改了参数后，在服务中添加游戏task过滤的逻辑

测试参考：

Test：

1、未开启自定义gpu模式分辨率为原生的情况下：

1）在设置中开启关闭游戏模式，不弹窗，游戏应用不清除；

2）开启游戏模式情况下，切换gpu的模式(标准模式和自定义)，不弹窗，游戏应用不清除；

3）在systemUI的quick-settings面板，开启和关闭游戏模式，不弹窗，游戏应用不清除；

2、开启自定义gpu模式分辨率为720P的情况下：

1）在设置中开启关闭游戏模式，弹窗，如果确定，游戏应用清除，如果取消或不选择，设置不生效，不弹窗，游戏应用不清除；

2）开启游戏模式情况下，切换gpu的模式(标准模式和自定义)，弹窗，如果确定，游戏应用清除，如果取消或不选择，设置不生效，不弹窗，游戏应用

不清除；

3）在systemUI的quick-settings面板，开启和关闭游戏模式，弹窗，如果确定，游戏应用清除，如果取消或不选择，设置不生效，不弹窗，游戏应用不清除

；

3、在已经启动游戏应用的情况下，切换游戏模式、调整分辨率、gpu模式时，

确保游戏是冷启动，并且分辨率的修改会生效。

#8 - 2023-02-02 09:48 - CD FW王武军

- Assignee changed from CD FW王武军 to CD Test赵飞

- Verified Version set to 2023年2月3和之后的版本验证

#9 - 2023-02-02 09:49 - CD FW王武军

- Verified Version deleted (2023年2月3和之后的版本验证)

- Fixed Version set to 2023-02-03

#10 - 2023-02-03 11:24 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

验证结果：PASS

游戏模式设置中切换分辨率时增加了弹窗提示，需要进行选择

#11 - 2023-02-03 11:24 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

2025-07-04 3/4



logcat.txt 5.12 MB 2023-01-09 CD Test赵飞
